Orkestra.gg
  1. Web methods
Orkestra.gg
  • Welcome to Orkestra Game Guard
  • How it works
  • Web methods
    • New Deposit
      POST
    • Registering User
      POST
    • Get Balance
      GET
    • Get Transaction Page Details
      GET
    • New Withdrawal
      POST
    • Settle Amount
      POST
    • Process Remittance
      POST
  • Webhooks
    • Untitled Endpoint
      GET
  1. Web methods

New Deposit

Sandbox Env
https://dev.your-api-server.com
Sandbox Env
https://dev.your-api-server.com
POST
/deposits
Creates the request for the new deposit obtaining the URL to continue the checkout.

Request

Authorization
Send your HTTP requests with an
Authorization
header that contains the word Basic followed by a space and a base64-encoded string username:password
Example:
Authorization: Basic *****************
Body Params application/json

Example
{
    "externalIdentifier": "{{$randomUUID}}",
    "amount": 400.00,
    "currency": "BRL",
    "paymentMethod": "PIX",
    "customer": {
        "documentNumber": "43278243803",
        "firstName": "Iago",
        "lastName": "Senefonte"
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://dev.your-api-server.com/deposits' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "externalIdentifier": "{{$randomUUID}}",
    "amount": 400.00,
    "currency": "BRL",
    "paymentMethod": "PIX",
    "customer": {
        "documentNumber": "43278243803",
        "firstName": "Iago",
        "lastName": "Senefonte"
    }
}'

Responses

🟢200Success
application/json
Body

Example
{
    "id": "669a98341482bf548bb723f2",
    "externalIdentifier": "c2b048d9-6944-442b-bf0f-5dfcd36d69a5",
    "amount": 400,
    "currency": "BRL",
    "status": "PENDING",
    "softDescriptor": "GG Deposit to: KTO",
    "customer": {
        "id": "b8d5eba9-94fa-47cb-bdcf-3b193cbfbdca",
        "firstName": "Iago",
        "lastName": "Senefonte",
        "documentNumber": "43278243803",
        "status": "PENDING",
        "registeredAt": null,
        "registrationUrl": "https://gambleguard.orkestrapay.com/registration/b8d5eba9-94fa-47cb-bdcf-3b193cbfbdca"
    },
    "deposit": {
        "checkoutUrl": "https://gambleguard.orkestrapay.com/checkout/669a98341482bf548bb723f2",
        "downloadUrl": "https://gambleguard.orkestrapay.com/pix/voucher/669a98341482bf548bb723f2"
    }
}
Modified at 2024-07-26 16:30:01
Previous
How it works
Next
Registering User
Built with